﻿<%@ Page Title="" Language="C#" MasterPageFile="~/JitbitCRMMaster.Master" EnableViewState="false" AutoEventWireup="true" CodeBehind="SendEmail.aspx.cs" Inherits="JitbitCRM.SendEmail" %>


<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" runat="server">

<script src="js/editor.js" type="text/javascript"></script>
<script src="js/utils.js" type="text/javascript"></script>

<table class="outerroundedbox lightbg grey" cellspacing="0" cellpadding="7" width="100%">
	<tr><th><asp:label id="lblDetails" runat="server" EnableViewState="False">Send email</asp:label></th></tr>
	<tr><td style="padding: 10px 10px 10px 10px">

	Email will be sent from <b><%= _fromEmail %></b> with a reply-to address <b><%= _replyToEmail %></b>
	
	<br /><br />

	Subject:
	<asp:TextBox ID="tbSubj" runat="server" Width="100%"></asp:TextBox>
	<br /><br />
	Body:

	<div class="richeditor">
		<div class="editbar">
			<button class="boldbtn" title="bold" onclick="wswgEditor.doClick('bold');" type="button"></button>
			<button class="italicbtn" title="italic" onclick="wswgEditor.doClick('italic');" type="button"></button>
			<button class="underlinebtn" title="underline" onclick="wswgEditor.doClick('underline');" type="button"></button>
			<button class="hyperlinkbtn" title="hyperlink" onclick="wswgEditor.doLink();" type="button"></button>
			<button class="colorbtn" title="color" onclick="wswgEditor.showColorGrid2('none')" type="button"></button><span id="colorpicker201" class="colorpicker201"></span>
			<button class="htmlbtn" title="switch to source" type="button" onclick="wswgEditor.SwitchEditor()"></button>
			</div>
		<div class="container">
		<asp:textbox id="tbBody" runat="server" Width="100%" Height="180px" TextMode="MultiLine"></asp:textbox>
		</div>
	</div>

	<a href="javascript:void(0)" onclick="$('#divFilesContainer').show()">Attach files...</a>
	<div id="divFilesContainer" style="display:none;">
		<asp:FileUpload id="fileUpload" runat="server" CssClass="multi" />
	</div>
	<br /><br />

	<asp:button id="btnSend" OnClientClick="wswgEditor.doCheck();return true;" EnableViewState="false" runat="server" text="send" onclick="btnSend_Click" meta:resourcekey="btnAddCommentResource1" /><br />
	</td></tr>
</table>

<br />

<asp:UpdatePanel ID="updatePanel2" runat="server">
<ContentTemplate>
<table class="outerroundedbox lightbg grey" cellpadding="7" width="100%">
<tr><th>Message recipients</th></tr>
<tr valign="top"><td><h2><asp:Repeater id="rptRecipients" runat="server" OnItemCommand="rptRecipients_ItemCommand">
		<ItemTemplate>
			<%# Eval("Name") %>
			<asp:linkbutton runat="server" id="btnRemoveRecipient" CommandName="remove" CommandArgument='<%# Eval("ID") %>' ToolTip="remove recipient"><img src="images/delete.gif" alt="remove recipient" /></asp:linkbutton>
		</ItemTemplate>
	</asp:Repeater></h2>
	<br /><hr />
	Add recipients (companies or contacts):<br />
	<asp:TextBox ID="tbAddNew" runat="server" Text="type for suggestions" style="color:Silver" onfocus="this.value='';this.style.color='Black';"></asp:TextBox>
	<asp:Button ID="btnAdd" CssClass="bluebutton" runat="server" EnableViewState="false" OnClick="btnAdd_Click" Text="+" />
	<input type="hidden" id="inputAddCompany" name="inputAddCompany" />
	<input type="hidden" id="inputAddContact" name="inputAddContact" />
</td></tr></table>
</ContentTemplate>
</asp:UpdatePanel>

<script type="text/javascript">
	function AttachAutoComplete() {
		AttachAutoCompleteToInputAndHiddenInput(
			$('#<%= tbAddNew.ClientID %>'),
			$('#inputAddContact'),
			$('#inputAddCompany')
		);
	}
	$(document).ready(AttachAutoComplete);
	Sys.WebForms.PageRequestManager.getInstance().add_endRequest(AttachAutoComplete);

	wswgEditor.initEditor("<%=tbBody.ClientID%>", <%= (!(Request.Browser.IsMobileDevice)).ToString().ToLower() %>);

	$(wswgEditor.getEditorDoc()).bind('keyup', function() {AutoResizeEditableIframe(wswgEditor.getIframe());});
	$("#<%=tbBody.ClientID%>").bind('keyup', function() {AutoResize($("#<%=tbBody.ClientID%>").get(0));});

	document.getElementById('rte').contentWindow.focus(); //prefocusing

	document.getElementById('rte').contentWindow.scroll(0,100);
	
	AutoResizeEditableIframe(wswgEditor.getIframe());
	AutoResize($("#<%=tbBody.ClientID%>").get(0));
</script>

<script src="js/jquery.MultiFile.js" type="text/javascript"></script>

</asp:Content>
